

# astsa

![Visitor Count](https://visitor-badge.glitch.me/badge?page_id=shishitao.astsa)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com)
[![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://github.com/shishitao/astsa)
[![made-with-python](https://img.shields.io/badge/Made%20with-Python-1f425f.svg)](https://www.python.org/)
[![Made withJupyter](https://img.shields.io/badge/Made%20with-Jupyter-orange)](https://jupyter-notebook.readthedocs.io/en/stable/)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)

**astsa** is a Python package designed for applied statistical time series analysis, accompanying the *Springer text, "Time Series Analysis and Its Applications: With R Examples (5th Edition, 2025)"*. This package serves as a Python counterpart to the [astsa R package](https://github.com/nickpoison/astsa), providing tools for time series analysis and data manipulation for Python users.

## Overview

The **astsa** Python package includes:

- **CSV data files**: These files are converted from the original R `.rda` files in the `astsa` R package. The data files are in a more general format (CSV), making them easier to use in Python-based environments for time series analysis.
  
- **Utility functions**: Useful Python functions for time series analysis, including utilities for processing and analyzing time series data. These functions are designed to help you apply statistical methods to your time series data in a straightforward manner.

## Installation

You can install **astsa** using **pip**:

```bash
pip install astsa
```

Alternatively, you can install directly from the GitHub repository:

```bash
pip install git+https://github.com/shishitao/astsa.git
```

## Usage

Once installed, you can start using **astsa** by importing the package and loading the relevant data and functions for your analysis:

```python
import astsa

# Example usage of loading the Johnson and Johnson quarterly earnings data
df = astsa.load_jj()
```

For detailed examples and documentation, please refer to the files in the repository.

## License

This project is licensed under the terms of the GNU General Public License.
