from setuptools import setup, find_packages

# Open README.md with UTF-8 encoding
with open('README.md', 'r', encoding='utf-8') as f:
    long_description = f.read()

setup(
    name="astsa",
    version="0.1",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    include_package_data=True,
    package_data={
        'astsa': ['data/csv/*.csv'],
    },
    install_requires=[
        'pandas',
    ],
    author="Shitao Shi",
    author_email="shi40@illinois.edu",
    description="Python package for time series analysis.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/shishitao/astsa",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Operating System :: OS Independent",
    ],
)